#!/bin/bash
source `dirname $0`/conf/settings
cd `dirname $0`

if [ $# -ne 2 ] ; then
    echo "prepare-zone.sh <domain.tld> <maintainer.mail>"
    exit
fi
if [ -d zones/$1 ] ; then
    echo "Zone $1 already exists ... did you want to use edit-zone ? "
    exit
fi
mainmail=$(echo $2 | tr @ . )
mkdir zones/$1
cat > zones/$1/$1 <<EOF
\$TTL 1h

@       IN      SOA     $ns1_public_name. $mainmail. (
                        1      ; serial
                        1h      ; refresh
                        30m     ; retry
                        7d      ; expiration
                        1h )    ; minimum

EOF

for i in `seq $num_nameservers`  ; do 
    ns=ns$i
    eval public_name=\$${ns}_public_name

    echo "        NS      $public_name." >> zones/$1/$1
done

echo "Generatign KSK and ZSK keys... "
echo 
echo "This uses a LOT of random data and may take quiet a while..."
echo 
echo "If you are anticipating to do this often, consider acquireing a fast h/w random number generator"

./make-ksk.sh $1
./make-zsk.sh $1

echo "To finalize your zone use edit-zone and then sign-zone and finally update-zone-conf."
