#!/bin/bash
source `dirname $0`/conf/settings
cd `dirname $0`

if [ $# -ne 1 ] ; then
	echo "$0 <domain.tld>"
	exit
fi 
if [ ! -d zones/$1 ] ; then
    echo "zone $1 does not exists"
    exit
fi

echo "Removing retired keys for $1"
for ksk in $( find . -name "*.oldkey" -exec grep -q " 257 " {} \; -exec ls {} \; ) ; do 
    ksk=$(basename $ksk .oldkey)
    date=$(date -r zones/$1/${ksk}.oldkey +%Y-%m-%d  )
    rm zones/$1/${ksk}.oldkey
    echo " ... removed KSK $ksk modified $date"
done
for zsk in $( find . -name "*.oldkey" -exec grep -q " 256 " {} \; -exec ls {} \; ) ; do 
    zsk=$(basename $zsk .oldkey)
    date=$(date -r zones/$1/${zsk}.oldkey +%Y-%m-%d  )
    rm zones/$1/${zsk}.oldkey
    echo " ... removed ZSK $zsk modified $date"
done
