#!/bin/bash
source `dirname $0`/conf/settings
cd `dirname $0`

rm -f zones/$zoneconf_name

echo "Generating new $zoneconf_name"
for d in zones/* ; do 
    zone=`basename $d` 
cat >> zones/$zoneconf_name <<EOF 
zone "$zone." in {
        type master;
        file "$zone.zone.signed";
};

EOF
done


for i in `seq $num_nameservers`  ; do 
    ns=ns$i

    echo "updating $ns"
    eval ssh_access=\$${ns}_ssh_access
    eval conf_path=\$${ns}_conf_path
    eval rndc_path=\$${ns}_rndc_path

    scp zones/$zoneconf_name $ssh_access:$conf_path
    ssh $ssh_access  "$rndc_path reload"
done
